<?php
$tabWeeks = array();
$tabPropPerWeek = array();
$elediv = mysqli_num_rows(mysqli_query($bdd,"SELECT eleves_id FROM ".$prefix."_eleves"));
foreach (new DatePeriod($jourP1date, new DateInterval('P7D') /* pas de sept jours */, $jourP2date) as $dt) {
	$date = $dt->format('Y-m-d');
	$week = $dt->format('oW');
	$datetoend = strtotime(date("Y-m-d", strtotime($date)) . " +6 day"); // ajouter 6 jours
	$dateend = date('Y-m-d',$datetoend);
	$nbeleves_niv = mysqli_query($bdd,"SELECT DISTINCT freq.eleves_id FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$dt->format('Y-m-d')."' AND freq.date_freq <= '".$dateend."' ".$filtre_activs."");
	$nbeleves = mysqli_num_rows($nbeleves_niv);
	$prop = round(($nbeleves * 100 / $elediv),2);
	if($prop>100) { $prop = 100; }
	array_push($tabPropPerWeek, $prop);
	array_push($tabWeeks, $week);
}
?>
<div id="wrapper" class="statcadre">
<canvas id="chart_propperweek" class="charts" width="400" height="300"></canvas>
</div>
<script>
var ctx = document.getElementById("chart_propperweek");
var myChart = new Chart(ctx, {
    type: 'bar',
    data: {
        labels: <?php echo json_encode($tabWeeks); ?>,
        datasets: [{
            data: <?php echo json_encode($tabPropPerWeek); ?>,
            backgroundColor: 'grey',
            borderColor: 'grey',
            borderWidth: 1
        }]
    },
    options: {
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero:true
                }
            }]
        },
        title: {
            display: true,
            text: 'Proportion d\'élèves par semaine (%)'
        },
        legend: {
			display:false
		},
		responsive: true,
		maintainAspectRatio: false
    }
});
</script>