<?php

echo '<h2>Statistiques pluriannuelles</h2>';

// récupération des divisions et groupes
$div = mysqli_query($bdd,"SELECT division FROM ".$prefix."_eleves GROUP BY division ORDER BY division");
$groupes = mysqli_query($bdd,"SELECT groupe_nom FROM ".$prefix."_groupes");

// préparation des arrays
$tabAnnees = array();
$tabEtudeTotal = array();
$tabSeancesTotal = array();
$tabEtudeWeek = array();
$tabSeancesWeek = array();
$nb_weeks = array();

include('./db/proc/edt_stats_form_evol.php');
if(isset($_SESSION['nb_year'])) {
	$nbannees = substr($_SESSION['nb_year'],0,1);
}
else { $nbannees = 2; }

if($acadexist=="fnc") { $w1 = '07'; } 
else if($acadexist=="civ") { $w1 = '01'; } 
else { $w1 = '33'; }
if($acadexist=="fnc") { $w2 = "50"; } 
else if($acadexist=="civ") { $w2 = "52"; } 
else { $w2 = "27"; }

// Stats

//récupération des niveaux et couleurs par niveau
include('freq_stats_nivcolors.php'); 
include('edt_stats_arrays.php');
require_once('./include/basiccolors.php');

include('calweeknb.php');

echo '<h2>&Eacute;volution sur ';
if(substr($_SESSION['nb_year'],1,1)=='p') {
	echo ($nbannees-1);
	$verifnb = ($nbannees-1);
}
else { echo $nbannees; $verifnb = $nbannees; }
echo ' années</h2>';
if($no_annees==1||$verifnb!=count($tabAnnees)) {
	echo '<h3>Aucune donnée disponible pour cette requête.</h3>';
}
else {

	require_once('./include/showalltooltips.php');
	?>
	</article><article id="artleft" class="edtsep">
	<div id="wrapper" class="statcadre">
	<canvas id="chart_nbperyearperetcl" class="charts" width="400" height="300"></canvas>
	</div>
	<script>
	var ctx = document.getElementById("chart_nbperyearperetcl");
	var myChart = new Chart(ctx, {
	    type: 'bar',
	    data: {
	        labels: <?php echo json_encode($tabAnnees); ?>,
	        datasets: [ 
	        {
	            label: 'étude',
	            data: <?php echo json_encode($tabEtudeTotal); ?>,
	            backgroundColor: '<?php echo $basicColors[0]; ?>',
	            borderColor: '<?php echo $basicColors[0]; ?>',
	            borderWidth: 1
	        },
	        {
	            label: 'séance',
	            data: <?php echo json_encode($tabSeancesTotal); ?>,
	            backgroundColor: '<?php echo $basicColors[1]; ?>',
	            borderColor: '<?php echo $basicColors[1]; ?>',
	            borderWidth: 1
	        } ]
	    },
	    options: {
	        scales: {
	            yAxes: [{
	                ticks: {
	                    beginAtZero:true
	                }
	            }]
	        },
	        title: {
	            display: true,
	            text: 'Nombre d\'heures en étude et séance chaque année'
	        },
	        legend: {
				display:true
			},
			responsive: true,
			maintainAspectRatio: false,
			showAllTooltips: true
	    }
	});
	</script>
	
	<div id="wrapper" class="statcadre">
	<canvas id="chart_nbperyearperetclmo" class="charts" width="400" height="300"></canvas>
	</div>
	<script>
	var ctx = document.getElementById("chart_nbperyearperetclmo");
	var myChart = new Chart(ctx, {
	    type: 'bar',
	    data: {
	        labels: <?php echo json_encode($tabAnnees); ?>,
	        datasets: [ 
	        {
	            label: 'étude',
	            data: <?php echo json_encode($tabEtudeWeek); ?>,
	            backgroundColor: '<?php echo $basicColors[0]; ?>',
	            borderColor: '<?php echo $basicColors[0]; ?>',
	            borderWidth: 1
	        },
	        {
	            label: 'séance',
	            data: <?php echo json_encode($tabSeancesWeek); ?>,
	            backgroundColor: '<?php echo $basicColors[1]; ?>',
	            borderColor: '<?php echo $basicColors[1]; ?>',
	            borderWidth: 1
	        } ]
	    },
	    options: {
	        scales: {
	            yAxes: [{
	                ticks: {
	                    beginAtZero:true
	                }
	            }]
	        },
	        title: {
	            display: true,
	            text: 'Moyenne hebdomadaire d\'heures en étude et séance chaque année'
	        },
	        legend: {
				display:true
			},
			responsive: true,
			maintainAspectRatio: false,
			showAllTooltips: true
	    }
	});
	</script>

	<?php
	//séances par niveau par an :
	if(substr($_SESSION['nb_year'],1,1)=='a') { $nb_sans=0; } else { $nb_sans=1; }
	if($acadexist=="fnc"||$acadexist=="civ") {
		$_POST['fullyear'] = substr($day1,0,4);
	}
	else {
		$_POST['fullyear'] = (substr($day1,0,4)).(substr($day1,0,4)+1);
	}
	for($i=$nbannees;$i>$nb_sans;$i--) {
		$tabCodesSeq = array();
		$tabCodesSeqColors = array();
		if(substr($_SESSION['nb_year'],1,1)=='p'&&$i==1) { }
		else {
			if($i!=$nbannees) {
				if($acadexist=="fnc"||$acadexist=="civ") {
					$_POST['fullyear'] = ($_POST['fullyear']+1);
					$anneesco = $_POST['fullyear'];					
				}
				else {
					$_POST['fullyear'] = (substr($_POST['fullyear'],0,4)+1).(substr($_POST['fullyear'],0,4)+2);
					$anneesco = substr($_POST['fullyear'],0,4).'/'.substr($_POST['fullyear'],4,4);				
				}
			}
			if($acadexist=="fnc"||$acadexist=="civ") {
				$an2 = substr($anneesco,0,4);
			}
			else {
				$an2 = substr($anneesco,5,4);
			}
			$tabSeqperniv[$i] = array();
			$tabSeqpernivMoy[$i] = array();
			$nbseances_niv = mysqli_query($bdd,"SELECT event.uid, event.duration FROM ".$prefix."_edtevent event INNER JOIN ".$prefix."_edtbrik brik ON event.brik_id = brik.brik_id WHERE brik.seance = 1 AND brik.division <> '' AND event.week >= '".substr($anneesco,0,4).$w1."' AND event.week <= '".$an2.$w2."'");
			$nbseances = 0;
			foreach ($nbseances_niv as $eventdiv) {
				if($eventdiv['duration']==5) { $duree = 0.5; }
				else { $duree = substr($eventdiv['duration'],0,1).'.'.substr($eventdiv['duration'],1,1); }
				$nbseances += $duree;
			}
			array_push($tabSeqperniv[$i], $nbseances);
			array_push($tabSeqpernivMoy[$i], round(($nbseances/$nb_weeks[$i-1-$nb_sans]),1));
			foreach ($tabDebniveau as $divdeb) {
				$nivcolor = mysqli_query($bdd,"SELECT bgcolor FROM ".$prefix."_edtnivcolor WHERE niveau = '".$divdeb."'");
				$nivcolor_info = mysqli_fetch_assoc($nivcolor);
				$tabColor[$i] = $nivcolor_info['bgcolor'];
				if($acadexist=="fnc"||$acadexist=="civ") {
					$anneesco = $_POST['fullyear'];
				}
				else {
					$anneesco = substr($_POST['fullyear'],0,4).'/'.substr($_POST['fullyear'],4,4);
				}
				$nbseances_niv = mysqli_query($bdd,"SELECT event.uid, event.duration FROM ".$prefix."_edtevent event INNER JOIN ".$prefix."_edtbrik brik ON event.brik_id = brik.brik_id WHERE brik.seance = 1 AND event.week >= '".substr($anneesco,0,4).$w1."' AND event.week <= '".$an2.$w2."' AND brik.division LIKE '".$divdeb."%'");
				$nbseances = 0;
				foreach ($nbseances_niv as $eventdiv) {
					if($eventdiv['duration']==5) { $duree = 0.5; }
					else { $duree = substr($eventdiv['duration'],0,1).'.'.substr($eventdiv['duration'],1,1); }
					$nbseances += $duree;
				}
				array_push($tabSeqperniv[$i], $nbseances);
				array_push($tabSeqpernivMoy[$i], round(($nbseances/$nb_weeks[$i-1-$nb_sans]),1));
			}
			$tabNbPerDiv[$i] = array();
			$liste_division = mysqli_query($bdd,"SELECT division FROM ".$prefix."_freq GROUP BY division ORDER BY division ASC");
			foreach($liste_division as $listediv) {
				if($listediv['division']!="") {
					$nbseances_niv = mysqli_query($bdd,"SELECT event.uid, event.duration FROM ".$prefix."_edtevent event INNER JOIN ".$prefix."_edtbrik brik ON event.brik_id = brik.brik_id WHERE brik.seance = 1 AND event.week >= '".substr($anneesco,0,4).$w1."' AND event.week <= '".$an2.$w2."' AND brik.division = '".$listediv['division']."'");
					$nbseances = 0;
					foreach ($nbseances_niv as $eventdiv) {
						if($eventdiv['duration']==5) { $duree = 0.5; }
						else { $duree = substr($eventdiv['duration'],0,1).'.'.substr($eventdiv['duration'],1,1); }
						$nbseances += $duree;
					}
					array_push($tabNbPerDiv[$i], $nbseances);
				}
			}
			$tabNbPerDom[$i] = array();
			$liste_codes = mysqli_query($bdd,"SELECT brik.code, edtcode.code_id, edtcode.bgcolor_code FROM ".$prefix."_edtbrik brik INNER JOIN ".$prefix."_edtcode edtcode ON brik.code = edtcode.code INNER JOIN ".$prefix."_edtevent event ON event.brik_id = brik.brik_id WHERE event.week >= '".substr($tabAnnees[(count($tabAnnees)-1)],0,4).$w1."' GROUP BY brik.code ORDER BY edtcode.code_id ASC");
			foreach($liste_codes as $code) {
				$nbseances_niv = mysqli_query($bdd,"SELECT event.uid, event.duration FROM ".$prefix."_edtevent event INNER JOIN ".$prefix."_edtbrik brik ON event.brik_id = brik.brik_id WHERE event.week >= '".substr($anneesco,0,4).$w1."' AND event.week <= '".$an2.$w2."' AND brik.code = '".$code['code']."'");
				$nbseances = 0;
				foreach ($nbseances_niv as $eventdiv) {
					if($eventdiv['duration']==5) { $duree = 0.5; }
					else { $duree = substr($eventdiv['duration'],0,1).'.'.substr($eventdiv['duration'],1,1); }
					$nbseances += $duree;
				}
				$tabCodesSeq[]=$code['code'];
				$tabCodesSeqColors[]=$code['bgcolor_code'];
				array_push($tabNbPerDom[$i], $nbseances);
			}		
		}
	}
	echo '<br>&nbsp;<br>';
	?>
	<div id="wrapper" class="statcadre">
	<canvas id="chart_nbsperanperniv" class="charts" width="400" height="300"></canvas>
	</div>
	<script>
	var ctx = document.getElementById("chart_nbsperanperniv");
	var myChart = new Chart(ctx, {
	    type: 'bar',
	    data: {
	        labels: <?php echo json_encode($taballNiveau); ?>,
	        datasets: [ 
	        <?php $j=1;
	        if(substr($_SESSION['nb_year'],1,1)=='p') { $j=2; }
	        for($i=$nbannees;$i>$nb_sans;$i--) { ?>
				{
					label: <?php echo json_encode($tabAnnees[$i-1-$nb_sans]); ?>,
					data: <?php echo json_encode($tabSeqperniv[$i]); ?>,
					backgroundColor: <?php echo json_encode($tabBgallcolor); ?>,
					borderColor: <?php echo json_encode($tabBgallcolor); ?>,
					borderWidth: 1
				} <?php if($j<=$nbannees) { echo ','; } $j++;} ?> ]
	    },
	    options: {
	        scales: {
	            yAxes: [{
	                ticks: {
	                    beginAtZero:true
	                }
	            }]
	        },
	        title: {
	            display: true,
	            text: 'Nombre de séances par niveau et par an (<?php $j=1; if(substr($_SESSION['nb_year'],1,1)=='p') { $j=2; } for($i=$nbannees;$i>$nb_sans;$i--) { echo $tabAnnees[$i-1-$nb_sans]; if($j<$nbannees) { echo ' - '; } $j++; } ?>)'
	        },
	        legend: {
				display:false
			},
			responsive: true,
			maintainAspectRatio: false
	    }
	});
	</script>

	<div id="wrapper" class="statcadre">
	<canvas id="chart_moysperanperniv" class="charts" width="400" height="300"></canvas>
	</div>
	<script>
	var ctx = document.getElementById("chart_moysperanperniv");
	var myChart = new Chart(ctx, {
	    type: 'bar',
	    data: {
	        labels: <?php echo json_encode($taballNiveau); ?>,
	        datasets: [ 
	        <?php $j=1;
	        if(substr($_SESSION['nb_year'],1,1)=='p') { $j=2; }
	        for($i=$nbannees;$i>$nb_sans;$i--) { ?>
				{
					label: <?php echo json_encode($tabAnnees[$i-1-$nb_sans]); ?>,
					data: <?php echo json_encode($tabSeqpernivMoy[$i]); ?>,
					backgroundColor: <?php echo json_encode($tabBgallcolor); ?>,
					borderColor: <?php echo json_encode($tabBgallcolor); ?>,
					borderWidth: 1
				} <?php if($j<=$nbannees) { echo ','; } $j++;} ?> ]
	    },
	    options: {
	        scales: {
	            yAxes: [{
	                ticks: {
	                    beginAtZero:true
	                }
	            }]
	        },
	        title: {
	            display: true,
	            text: 'Moyenne hebdomadaire de séances par niveau et par an (<?php $j=1; if(substr($_SESSION['nb_year'],1,1)=='p') { $j=2; } for($i=$nbannees;$i>$nb_sans;$i--) { echo $tabAnnees[$i-1-$nb_sans]; if($j<$nbannees) { echo ' - '; } $j++; } ?>)'
	        },
	        legend: {
				display:false
			},
			responsive: true,
			maintainAspectRatio: false
	    }
	});
	</script>
	
	<div id="wrapper" class="statcadre">
	<canvas id="chart_nbperyearperdiv" class="charts" width="400" height="300"></canvas>
	</div>
	<script>
	var ctx = document.getElementById("chart_nbperyearperdiv");
	var myChart = new Chart(ctx, {
		type: 'bar',
		data: {
			labels: <?php echo json_encode($tabDivisionsFreq); ?>,
			datasets: [
			<?php $j=1;
			if(substr($_SESSION['nb_year'],1,1)=='p') { $j=2; }
			for($i=$nbannees;$i>$nb_sans;$i--) { ?>
			{
				label: <?php echo json_encode($tabAnnees[$i-1-$nb_sans]); ?>,
				data: <?php echo json_encode($tabNbPerDiv[$i]); ?>,
				backgroundColor: <?php echo json_encode($tabDivColorsFreq); ?>,
				borderColor: <?php echo json_encode($tabDivColorsFreq); ?>,
				borderWidth: 1
			} <?php if($j<=$nbannees) { echo ','; } $j++;} ?> ]
		},
		options: {
			scales: {
				yAxes: [{
					ticks: {
						beginAtZero:true
					}
				}]
			},
			title: {
				display: true,
				text: 'Nombre de visites par division par an (<?php $j=1; if(substr($_SESSION['nb_year'],1,1)=='p') { $j=2; } for($i=$nbannees;$i>$nb_sans;$i--) { echo $tabAnnees[$i-1-$nb_sans]; if($j<$nbannees) { echo ' - '; } $j++; } ?>)'
			},
			legend: {
				display:false
			},
			responsive: true,
			maintainAspectRatio: false
		}
	});
	</script>
	
	<div id="wrapper" class="statcadre">
	<canvas id="chart_nbperyearperdom" class="charts" width="400" height="300"></canvas>
	</div>
	<script>
	var ctx = document.getElementById("chart_nbperyearperdom");
	var myChart = new Chart(ctx, {
		type: 'bar',
		data: {
			labels: <?php echo json_encode($tabCodesSeq); ?>,
			datasets: [
			<?php $j=1;
			if(substr($_SESSION['nb_year'],1,1)=='p') { $j=2; }
			for($i=$nbannees;$i>$nb_sans;$i--) { ?>
			{
				label: <?php echo json_encode($tabAnnees[$i-1-$nb_sans]); ?>,
				data: <?php echo json_encode($tabNbPerDom[$i]); ?>,
				backgroundColor: <?php echo json_encode($tabCodesSeqColors); ?>,
				borderColor: <?php echo json_encode($tabCodesSeqColors); ?>,
				borderWidth: 1
			} <?php if($j<=$nbannees) { echo ','; } $j++;} ?> ]
		},
		options: {
			scales: {
				yAxes: [{
					ticks: {
						beginAtZero:true
					}
				}]
			},
			title: {
				display: true,
				text: 'Nombre de séances par domaine par an (<?php $j=1; if(substr($_SESSION['nb_year'],1,1)=='p') { $j=2; } for($i=$nbannees;$i>$nb_sans;$i--) { echo $tabAnnees[$i-1-$nb_sans]; if($j<$nbannees) { echo ' - '; } $j++; } ?>)'
			},
			legend: {
				display:false
			},
			responsive: true,
			maintainAspectRatio: false
		}
	});
	</script>
<?php } ?>